<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

	

$bol1=false;
$bol2=false;
$bol3=false;
$bol4=false;
$bol5=false;
   $fecha1 =$_POST['fecha_i'];
	$fecha2 =$_POST['fecha_f'];
	$rfc =$_POST['therfc'];
     $gtot=0;
	 
	$rfcidw = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\"";
           $vtas1p = mysqli_query($conexion, $rfcidw) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr88 = mysqli_fetch_row($vtas1p);
             $rfcid=$rr88[0];
			 
			 
     /*function crearTabla($gen,$fecha1,$fecha2)
      {global $gtot;
       echo"<table border=1>
		    <tr>
			<th>RFC.</th><th>Nombre</th><th>Compras</th>
			</tr>";
       while (list($clave, $valor ) = each($gen))
          {
           $qc1 = "SELECT sum(total) FROM venta, distribuidor WHERE venta.id_dist=distribuidor.id_dist and  rfc = \"$valor[0]\" and fecha_v between \"$fecha1\" and \"$fecha2\"";
           $cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
  
           $val1=$rr[0];
 
           $toti+=$val1;
  
           echo"<tr><td>$valor[0]</td><td>$valor[2]</td><td>$val1</td><tr>";
          }
	        $gtot+=$toti; 
       echo"</table>el total es $toti <br><br>";
       }
	
	 function crearTabla2($gen,$fecha1,$fecha2)
      {global $gtot;
       echo"<table border=1>
		    <tr>
			<th>RFC.</th><th>Nombre</th><th>Compras</th>
			</tr>";
       while (list($clave, $valor ) = each($gen))
          {
		
  
           echo"<tr><td>$valor[0]</td><td>$valor[2]</td><td>$val1</td><tr>";}
          }
	   $gtot+=$toti;
       echo"</table>el total es $toti <br><br>";
       }
	   
	$vtas = "SELECT sum(total) FROM venta, distribuidor WHERE venta.id_dist=distribuidor.id_dist and  rfc = \"$rfc\" and fecha_v between \"$fecha1\" and \"$fecha2\"";
           $vtas1 = mysqli_query($conexion, $vtas) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr8 = mysqli_fetch_row($vtas1);
  
           $valin=$rr8[0];
 			echo"<br><br><center><b> Compras Personales del $fecha1 al $fecha2 son $ $valin</b><br><br>";*/
	 function crearTabla($gen,$fecha1,$fecha2)
      {global $gtot;$cal=0;
       echo"<table border=1>
		    <tr>
			<th>ID</th><th>RFC.</th><th>Nombre</th><th>Compras</th>
			</tr>";
       while (list($clave, $valor ) = each($gen))
          {  
		  
           $qc1 = "select sum(cantidad)from depositos d,transacciones t where d.transacciones_idtransacciones=t.idtransacciones and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";
           $cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
  
           $val1=$rr[0];
 			if($val1>0){$cal++;
           $toti+=$val1;}
            
           echo"<tr><td>$valor[0]</td><td>$valor[1]</td><td>$valor[3]</td><td>$val1</td><tr>";
          }
	        $gtot+=$toti; 
       echo"</table>Inversiones totales: $toti <br>Calificados: $cal<br>"; 
	   $calificados[]=($cal);
       }
	
	
	 $q2 = "SELECT rfc,idprom, nombre, appat, apmat, id_inver FROM inversionista WHERE idprom=\"$rfcid\"";
  $c2 = mysqli_query($conexion, $q2) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
  $c2copy=mysqli_query($conexion, $q2) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
   if(mysqli_fetch_row($c2copy)==""){ echo"<br><center>No existen registros para esta selecci�n</center>";}else{
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	   $a5 = $r1[5];
	   $gen1[]= array($a5,$a0, $a1, $a2." ".$a3." ".$a4);

	};
	$copy_gen1=$gen1;
	
	 while (list($clave, $valor ) = each($copy_gen1))

{

 $q1 = "SELECT rfc,idprom, nombre, appat, apmat, id_inver FROM inversionista WHERE idprom=  \"$valor[0]\"";
  $c1 = mysqli_query($conexion, $q1) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
$c1copy=mysqli_query($conexion, $q1) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
   if(mysqli_fetch_row($c1copy)==""){ $bol2=true;}else{
  while($r2 = mysqli_fetch_row($c1))
   {
	   $pat1 = $r2[0];
	   $pat2 = $r2[1];
	   $pat3 = $r2[2];
	   $pat4 = $r2[3];
	   $pat5 = $r2[4];
	   $pat6 = $r2[5];
	   $gen2[]=array ($pat6,$pat1,$pat2, $pat3." ".$pat4." ".$pat5);
	} 
	

}
$copy_gen2=$gen2;

	 //if($gen2[0][0]!=0)
	 while (list($clave, $valor ) = each($copy_gen2))

{

 $q4 = "SELECT rfc,idprom, nombre, appat, apmat, id_inver FROM inversionista WHERE idprom=  \"$valor[0]\"";
  $c4 = mysqli_query($conexion, $q4) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
$c4copy=mysqli_query($conexion, $q4) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
   if(mysqli_fetch_row($c4copy)==""){ $bol3=true;}else{
  while($r2 = mysqli_fetch_row($c4))
   {
	   $pa1 = $r2[0];
	   $pa2 = $r2[1];
	   $pa3 = $r2[2];
	   $pa4 = $r2[3];
	   $pa5 = $r2[4];
	   $pa6 = $r2[5];
	
	$gen3[]=array ($pa6,$pa1,$pa2, $pa3." ".$pa4." ".$pa5);
	
	} 
	

}
$copy_gen3=$gen3; 
//if($gen3[0][0]!=0)
	 while (list($clave, $valor ) = each($copy_gen3))

{

 $q5 = "SELECT rfc,idprom, nombre, appat, apmat, id_inver FROM inversionista WHERE idprom=  \"$valor[0]\"";
  $c5 = mysqli_query($conexion, $q5) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
$c5copy=mysqli_query($conexion, $q5) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
   if(mysqli_fetch_row($c5copy)==""){ $bol4=true;}else{
  while($r2 = mysqli_fetch_row($c5))
   {
	   $paa1 = $r2[0];
	   $paa2 = $r2[1];
	    $paa3 = $r2[2];
		 $paa4 = $r2[3];
		  $paa5 = $r2[4];
	       $paa6 = $r2[5];
	$gen4[]=array ($paa6,$paa1,$paa2, $paa3." ".$paa4." ".$paa5);
	
	} 
	

}
$copy_gen4=$gen4; 
//if($gen4[0][0]!=0)
	 while (list($clave, $valor ) = each($copy_gen4))

{

 $q7 = "SELECT rfc,idprom, nombre, appat, apmat, id_inver FROM inversionista WHERE idprom=  \"$valor[0]\"";
  $c7 = mysqli_query($conexion, $q7) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
$c7copy=mysqli_query($conexion, $q7) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
   if(mysqli_fetch_row($c7copy)==""){ $bol5=true;}else{
  while($r2 = mysqli_fetch_row($c7))
   {
	   $paq1 = $r2[0];
	   $paq2 = $r2[1];
	   $paq3 = $r2[2];
	   $paq4 = $r2[3];
	   $paq5 = $r2[4];
	    $paq6 = $r2[5];
	
	$gen5[]=array ($paq6,$paq1,$paq2, $paq3." ".$paq4." ".$paq5);
	
	} 
	
}}}}}


//if($lista1=='Ver toda la red'){
$aaaa= $gen1.length;
echo "<center><br>Generacion 1<br>";
 crearTabla($gen1,$fecha1,$fecha2);
echo"<br><br>Generacion 2<br>";
if($bol2==true){echo"No existen registros en esta tabla";}else{
 crearTabla($gen2,$fecha1,$fecha2);}
echo"<br><br>Generacion 3<br>";
if($bol3==true){echo"No existen registros en esta tabla";}else{
 crearTabla($gen3,$fecha1,$fecha2);}
echo"<br><br>Generacion 4<br>";
if($bol4==true){echo"No existen registros en esta tabla";}else{
 crearTabla($gen4,$fecha1,$fecha2);}
echo"<br><br>Generacion 5<br>";
if($bol5==true){echo"No existen registros en esta tabla";}else{
 crearTabla($gen5,$fecha1,$fecha2);}
$greg=$gtot*0.1;
echo"<br><br>el total de las regalias generadas es<br><br><br> el gran total es $gtot <br><br>
  las regalias a pagar son $greg</center>";
  }
    echo"<form name=\"Agrega\" action=\"generarimpuestos.php\" method=\"post\">
<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Impuestos\" />
	<input type=hidden name=idinver value=$id_inv />
	<input type=hidden name=fech1 value=$fecha2 />
	<input type=hidden name=cantidad value=$totales /></form>";

  
  //}
  
  /*
if($lista2=='Ver solo compras'){

echo "<br>Generacion 1<br>";

crearTabla2($gen1,$fecha1,$fecha2);

 echo"<br><br>Generacion 2<br>";
 crearTabla2($gen2,$fecha1,$fecha2);
echo"<br><br>Generacion 3<br>";
 crearTabla2($gen3,$fecha1,$fecha2);
echo"<br><br>Generacion 4<br>";
 crearTabla2($gen4,$fecha1,$fecha2);
echo"<br><br>Generacion 5<br>";
 crearTabla2($gen5,$fecha1,$fecha2);
$greg=$gtot*0.1;
  echo"<br><br>el total de las regalias pagadas es<br><br><br> el gran total es $gtot <br><br>
  las regalias a pagar son $greg</center>"; 

}  */
  
?>
